find_package(Quadmath)
if(QUADMATH_FOUND)
  add_definitions(-DHAVE_QUADMATH=1)
else()
  find_package(MPFR)
  if(MPFR_FOUND)
    find_package(MPFRCppThirdparty)
  else()
    message(FATAL_ERROR "Nor Quadmath, nor MPFR found.")
  endif()
endif()
